From: =?utf-8?q?Timo_R=C3=B6hling?= <timo.roehling@fkie.fraunhofer.de>
Date: Fri, 3 Apr 2020 18:37:30 +0200
Subject: Export only symbols from the tinyobj:: namespace

---
 CMakeLists.txt |  5 +++--
 version-script | 10 ++++++++++
 2 files changed, 13 insertions(+), 2 deletions(-)
 create mode 100644 version-script

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 967a981..b34c275 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -2,7 +2,7 @@
 #This configures the Cmake system with multiple properties, depending
 #on the platform and configuration it is set to build in.
 project(tinyobjloader)
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 3.13)
 set(TINYOBJLOADER_SOVERSION 1)
 set(TINYOBJLOADER_VERSION 2.0.0)
 
@@ -53,11 +53,12 @@ else()
 endif()
 
 target_compile_definitions(${PROJECT_NAME}_double PUBLIC TINYOBJLOADER_USE_DOUBLE)
-
 set_target_properties(${PROJECT_NAME} ${PROJECT_NAME}_double PROPERTIES
 	VERSION ${TINYOBJLOADER_VERSION}
 	VISIBILITY_INLINES_HIDDEN ON
 )
+target_link_options(${PROJECT_NAME} PRIVATE "-Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/version-script")
+target_link_options(${PROJECT_NAME}_double PRIVATE "-Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/version-script")
 
 target_include_directories(${PROJECT_NAME} INTERFACE
   $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
diff --git a/version-script b/version-script
new file mode 100644
index 0000000..b048a0a
--- /dev/null
+++ b/version-script
@@ -0,0 +1,10 @@
+{
+	global:
+		extern "C++" {
+			tinyobj::*;
+			*for?tinyobj::*;
+		};
+	local:
+		*;
+};
+
